From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/openrgb-plugin-skin/
Date: Tue, 11 Jan 2022 22:15:58 +0000 (UTC) [thread overview]
Message-ID: <1641939352.257c8ada2bcb432dd034036678e24b83869f5c46.chutzpah@gentoo> (raw)
commit: 257c8ada2bcb432dd034036678e24b83869f5c46
Author: Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Tue Jan 11 21:48:11 2022 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Jan 11 22:15:52 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=257c8ada
app-misc/openrgb-plugin-skin: update to openrgb 0.7
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
app-misc/openrgb-plugin-skin/Manifest | 1 +
app-misc/openrgb-plugin-skin/metadata.xml | 2 +-
.../openrgb-plugin-skin-0_p20211230.ebuild | 44 ++++++++++++++++++++++
3 files changed, 46 insertions(+), 1 deletion(-)
diff --git a/app-misc/openrgb-plugin-skin/Manifest b/app-misc/openrgb-plugin-skin/Manifest
index 7e97f83b58c1..8e078750a974 100644
--- a/app-misc/openrgb-plugin-skin/Manifest
+++ b/app-misc/openrgb-plugin-skin/Manifest
@@ -1 +1,2 @@
DIST openrgbskinplugin-3d937cf5112a98052f98a106dc0f5de1eafc20ea.tar.bz2 14673 BLAKE2B e9ba7e072882a995d9d37274e612f0ad404c369bafb4e59db379f43242873f08f36adc5521277c2bac4e730c35cde561e535e30e5a37155bfe0fa408d5ba3b45 SHA512 1a23b843230da6778079873949e72280efe46c6c015eb27456283bae5d88b539d8a5f69e6f1580400e1cfa746bcd36b6a1ae597f510b0c331d16f56b6ae28670
+DIST openrgbskinplugin-ebb80f7bd0e1efaa995f60454f3c049a4607bc3b.tar.bz2 22843 BLAKE2B 30c88b143b3df829c543744b20424df24bde9dda10f770fb78d653609111801a4d1d3fe16ed3e3c15ad953f41113db5d4da40bc66f7ec57418b2e934cd9a2e32 SHA512 a70c0157072b6b638a5a4f3f48f41c73f422d0ac356174479901cd3d088faf6fe96e594b2a39b15de305e0355fd0d252dafc4a30b9216d57058ad2cde7f5a3e3
diff --git a/app-misc/openrgb-plugin-skin/metadata.xml b/app-misc/openrgb-plugin-skin/metadata.xml
index 4c8060bdf70c..4f1ad006ed77 100644
--- a/app-misc/openrgb-plugin-skin/metadata.xml
+++ b/app-misc/openrgb-plugin-skin/metadata.xml
@@ -10,6 +10,6 @@
<name>Alexey Sokolov</name>
</maintainer>
<upstream>
- <remote-id type="gitlab">OpenRGBDevelopers/openrgbskinplugin</remote-id>
+ <remote-id type="gitlab">OpenRGBDevelopers/OpenRGBSkinPlugin</remote-id>
</upstream>
</pkgmetadata>
diff --git a/app-misc/openrgb-plugin-skin/openrgb-plugin-skin-0_p20211230.ebuild b/app-misc/openrgb-plugin-skin/openrgb-plugin-skin-0_p20211230.ebuild
new file mode 100644
index 000000000000..16fd02edcd94
--- /dev/null
+++ b/app-misc/openrgb-plugin-skin/openrgb-plugin-skin-0_p20211230.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils
+
+MY_GIT_COMMIT="ebb80f7bd0e1efaa995f60454f3c049a4607bc3b"
+SRC_URI="https://gitlab.com/OpenRGBDevelopers/openrgbskinplugin/-/archive/${MY_GIT_COMMIT}/openrgbskinplugin-${MY_GIT_COMMIT}.tar.bz2"
+S="${WORKDIR}/OpenRGBSkinPlugin-${MY_GIT_COMMIT}"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Plugin for OpenRGB that allows you to customize the look and feel of OpenRGB"
+HOMEPAGE="https://gitlab.com/OpenRGBDevelopers/OpenRGBSkinPlugin"
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="
+ >=app-misc/openrgb-0.7:=
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+"
+DEPEND="
+ ${RDEPEND}
+ dev-cpp/nlohmann_json
+"
+
+src_prepare() {
+ default
+ rm -r OpenRGB || die
+ ln -s "${ESYSROOT}/usr/include/OpenRGB" . || die
+ sed -e '/^GIT_/d' -i *.pro || die
+}
+
+src_configure() {
+ eqmake5 \
+ INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann"
+}
+
+src_install() {
+ exeinto /usr/$(get_libdir)/OpenRGB/plugins
+ doexe libOpenRGBSkinPlugin.so.1.0.0
+}
next reply other threads:[~2022-01-11 22:16 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-11 22:15 Patrick McLean [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-06 16:31 [gentoo-commits] repo/gentoo:master commit in: app-misc/openrgb-plugin-skin/ Patrick McLean
2025-01-06 16:31 Patrick McLean
2023-08-21 3:50 Sam James
2023-07-17 12:33 Maciej Barć
2023-02-27 9:04 Joonas Niilola
2023-02-26 19:25 Sam James
2023-01-05 14:31 Maciej Barć
2022-08-26 23:57 Patrick McLean
2022-08-04 8:03 Agostino Sarubbo
2021-09-22 0:05 Patrick McLean
2021-06-22 23:00 Patrick McLean
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1641939352.257c8ada2bcb432dd034036678e24b83869f5c46.chutzpah@gentoo \
--to=chutzpah@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox